curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/order-fulfillment/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_total_cents": 4900,
"currency": "USD",
"line_items": [
{
"sku": "SKU-TENT-2P-GRN",
"quantity": 2
}
],
"reservation_params": {},
"fulfillment_tool": "string",
"fulfillment_params": {},
"review_cap_cents": 1
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Start order fulfillment
Order-fulfillment workflow started; id is order-fulfillment-- so a duplicate checkout webhook collides with the in-flight run.
POST
/
v1
/
workflows
/
order-fulfillment
/
start
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/order-fulfillment/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_total_cents": 4900,
"currency": "USD",
"line_items": [
{
"sku": "SKU-TENT-2P-GRN",
"quantity": 2
}
],
"reservation_params": {},
"fulfillment_tool": "string",
"fulfillment_params": {},
"review_cap_cents": 1
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Request body
object
string
required
string
required
integer
required
string
required
object[]
required
object
string
required
object
integer
Response
StartWorkflowResponse
string
required
string
Status codes
| Code | Meaning |
|---|---|
200 | Order-fulfillment workflow started; id is order-fulfillment-{brand_uuid}-{order_id} so a duplicate checkout webhook collides with the in-flight run. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/order-fulfillment/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_total_cents": 4900,
"currency": "USD",
"line_items": [
{
"sku": "SKU-TENT-2P-GRN",
"quantity": 2
}
],
"reservation_params": {},
"fulfillment_tool": "string",
"fulfillment_params": {},
"review_cap_cents": 1
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026